Subject: bug#32367: 2.2.4 hangs when a script uses a module that calls sigaction

From: Derek Upham <[email-masked]>
Date: Wed, 22 Aug 2018 06:47:49 -0700

Thanks.  I built from 4c91de3e4 and was able to reproduce the problem.  Then I reverted 761cf0fb8c364e885e4c6fced34563f8157c3b84 and I was not able to reproduce it.

So it’s probably the signal delivery thread starting in that module, and trying to load another module immediately.  This isn’t the first time the signal delivery thread has exposed an issue: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26858

Derek

Mark H Weaver <[email-masked]> writes:

> I don't have time now for a proper investigation, but this might be
> related to commit 761cf0fb8c364e885e4c6fced34563f8157c3b84 (Make module
> autoloading thread-safe).
>
>       Mark